Subject: Re: bug#23924: 25.1.50; Emacs NSInternalInconsistencyException on macos Sierra developer beta 2

From: Bob Halley <[email-masked]>
Date: Sun, 10 Jul 2016 09:06:22 -0700

> On Jul 10, 2016, at 03:10, Alan Third <[email-masked]> wrote:
> 
> On Fri, Jul 08, 2016 at 05:20:37PM -0700, Bob Halley wrote:
>> I don't have a firm recipe to reproduce. I do normal editing and
>> then at some point emacs crashes, usually after file open / close /
>> save, or Control-G.
>> 
>> This is the backtrace, which seems to be unhappy about
>> "nextEventMatchingMask should only be called from the Main Thread".
>> If there's anything else you'd like info on, or things you want me
>> to try, let me know. I disabled all of my packages, so AFAIK this is
>> a core emacs issue.
> 
> Hi Bob, thanks for reporting this.
> 
> I recently made a small change to input handling in the master branch
> that may be related to this. Is there any chance you could give it a
> go?

Do you mean ee7bc988603ca16e6ef37fbbc377d82db37954c0, "Prevent NS event loop being re-entered (bug#11049)"?  If so, I had that in my build before i filed the report.  I was hopeful when I saw it but it didn't help, alas.  The only thing from you I see that is new since my last build is removing the app nap setting.

Regards,

/Bob